<?php 
require_once("../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion
require_once("../includes/academia_constantes.php");
require_once("../includes/funciones_generales.php");

if(!comprobar_sesion()){
	$responce->page = 0;
	$responce->total =0;
	$responce->records = "0";
	echo json_encode($response);
	exit();
}
$codigo_grupo=escapar($_POST["cdgr"],'int');
$periodo=escapar($_POST["per_calif"],'int');
if($codigo_grupo=='0x'){
	header("Content-type: application/json");
	echo json_encode(array());
	exit;
}
	
require_once("../includes/MySQL.php");

$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));

$consulta="SELECT aca_estudiantes.cod_estudiante, aca_estudiantes.numedocumento_est, lcase(CONCAT_WS(' ', aca_estudiantes.apellido1_est, aca_estudiantes.apellido2_est, aca_estudiantes.nombre1_est, aca_estudiantes.nombre2_est)) AS nombre
FROM aca_estudiantesxgrupos
    INNER JOIN aca_estudiantes 
        ON (aca_estudiantesxgrupos.cod_estudiante = aca_estudiantes.cod_estudiante)
	WHERE aca_estudiantesxgrupos.cod_grupo =$codigo_grupo and aca_estudiantes.estado_est = 1 order by nombre";
 	
$academia->instruccion($consulta);
$i=0;
$responce = array();
//$responce['sql']=$consulta;

while($row = $academia->extraer_registro()) {
	$responce['rows'][]=array(
		'cod_estudiante'=>$row['cod_estudiante'],
		'numedocumento_est'=>$row['numedocumento_est'],
		'nombre'=>ucwords($row['nombre']),
	);
} 
header("Content-type: application/json");
echo json_encode($responce);
		
$academia->cerrar();
?>
        